function [coeffs, coeffs2,knot] = findknee(obj,Xpx,Ypx)
    pad = 10; %Number to include in each end
    %Fit a line
    x = obj.abp;
    y = obj.extractPixel(Xpx,Ypx);
    %sort x and y (still necessary??)
    [x, I] = sort(x);
    y= y(I);
    %Brute Force find minimum X
    costf = [];
    for i = pad:5:obj.commonlength-pad
        XI = [min(x),x(i),max(x)];
        YI = lsq_lut_piecewise( x, y, XI );
        %Costfunction 
       costf = [costf ; sum((y-interp1(XI,YI,x)).^2)];
    end
    %Identify minimum costf
    [M,I] = min(costf);
    i = I + pad; %Re add the padding
    %Identify the pieces
    XI = [min(x),x(i),max(x)];
    YI = lsq_lut_piecewise( x, y, XI );
    
    %Calculate the slope and intercepts
    slope = (YI(1)-YI(2))/(XI(1)-XI(2));
    slope2 = (YI(2)-YI(3))/(XI(2)-XI(3));
    intercept = YI(1)-slope*XI(1);
    intercept2 = YI(2)-slope2*XI(2);
    %Return the results
    coeffs = [slope,intercept];
    coeffs2 = [slope2,intercept2];
    knot = x(i);
end